{
  "client": {
    "subscriptions": {{ sensu_client_subscriptions | to_nice_json }}
{% if sensu_autoderegister %}
    ,"deregister": true,
    "deregistration": {
      "handler": "deregister_client"
    }
{%endif%}
{% if sensu_custom_value is defined %}
   {% for key in sensu_custom_value %},
   "{{ key }}": {{ sensu_custom_value[key] | to_nice_json }}
   {%endfor%}
{%endif%}
{% if 'ldap' in sensu_client_subscriptions %}
    ,"ldap": {
      "user"  : "{{ ldap.bind | default('cn=readonly') }},{{ ldap.base }}",
      "base": "cn=Monitor",
      "port": "636",
      "password" : "{{ ldap_readonly_pwd }}"
    }
{%endif%}
{% if 'ldap_master' in sensu_client_subscriptions %}
    ,"ldap_master": {
      "user"  : "{{ ldap.bind | default('cn=readonly') }},{{ ldap.base }}",
      "base": "{{ ldap.base }}",
      "port": "636",
      "password" : "{{ ldap_readonly_pwd }}"
    }
{%endif%}
  }
}
